Summary:	Plasma-application for interactive graphing and analysis of scientific data
Name:		labplot
Version:	2.11.1
Release:	%mkrel 3
License:	GPLv2+
Group:		Sciences/Other
URL:		https://edu.kde.org/labplot/
Source0:	https://download.kde.org/stable/%{name}/%{name}-%{version}.tar.xz
Patch0:		labplot-adapt-to-KF6UserFeedback.patch
Patch1:		0001-Minor-qt6-related-fixes.patch
Patch2:		0001-Fix-to-find-QXlsxQt6.patch

BuildRequires:	kf6-rpm-macros

BuildRequires:	cmake(Qt6Concurrent)
BuildRequires:	cmake(Qt6Core)
BuildRequires:	cmake(Qt6Gui)
BuildRequires:	cmake(Qt6Mqtt)
BuildRequires:	cmake(Qt6PrintSupport)
BuildRequires:	cmake(Qt6SerialPort)
BuildRequires:	cmake(Qt6Sql)
BuildRequires:	cmake(Qt6Svg)
BuildRequires:	cmake(Qt6Test)
BuildRequires:	cmake(Qt6Widgets)

BuildRequires:	cmake(KF6Archive)
BuildRequires:	cmake(KF6Completion)
BuildRequires:	cmake(KF6Config)
BuildRequires:	cmake(KF6ConfigWidgets)
BuildRequires:	cmake(KF6CoreAddons)
BuildRequires:	cmake(KF6Crash)
BuildRequires:	cmake(KF6DocTools)
BuildRequires:	cmake(KF6I18n)
BuildRequires:	cmake(KF6IconThemes)
BuildRequires:	cmake(KF6KIO)
BuildRequires:	cmake(KF6TextWidgets)
BuildRequires:	cmake(KF6WidgetsAddons)
BuildRequires:	cmake(KF6XmlGui)
BuildRequires:	cmake(KF6NewStuffCore)
BuildRequires:	cmake(KF6NewStuff)
# Optional
BuildRequires:	cmake(KF6Service)
BuildRequires:	cmake(KF6Parts)
BuildRequires:	cmake(KF6Purpose)
BuildRequires:	cmake(KF6SyntaxHighlighting)
BuildRequires:	cmake(KF6UserFeedback)

BuildRequires:	bison
BuildRequires:	clang-tools-extra
BuildRequires:	doxygen
# cantor is built against Qt5
#BuildRequires:	cmake(Cantor)
BuildRequires:	cmake(Eigen3)
BuildRequires:	cmake(QXlsxQt6)
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	pkgconfig(libcerf)
BuildRequires:	pkgconfig(libmarkdown)
#BuildRequires:	pkgconfig(liborcus-0.18)
BuildRequires:	pkgconfig(liborigin)
BuildRequires:	pkgconfig(matio)
BuildRequires:	pkgconfig(netcdf)
BuildRequires:	pkgconfig(poppler-qt6)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	gettext-devel
BuildRequires:	hdf5-devel
BuildRequires:	readstat-devel


%description
LabPlot provides an easy way to create, manage and edit plots.
It allows you to produce plots based on data from a spreadsheet or on
data imported from external files.
Plots can be exported to several pixmap and vector graphic formats.

%prep
%autosetup -p1

%build
%cmake_kf6 -DENABLE_CLANG_TIDY:BOOL=ON \
           -DENABLE_VECTOR_BLF:BOOL=OFF \
           -DENABLE_REPRODUCIBLE:BOOL=ON
%cmake_build

%install
%cmake_install

# We dont want right now devel files
rm -rf %{buildroot}%{_includedir}/%{name}

%find_lang labplot2 --with-html --with-man

%files -f labplot2.lang
%doc AUTHORS ChangeLog README.md
%{_kf6_bindir}/labplot2
%{_kf6_libdir}/liblabplot.so
%{_kf6_metainfodir}/org.kde.labplot2.appdata.xml
%{_kf6_iconsdir}/hicolor/*/apps/labplot*
%{_kf6_datadir}/labplot2/
%{_kf6_applicationsdir}/org.kde.labplot2.desktop
%{_kf6_datadir}/mime/packages/labplot2.xml
%{_kf6_mandir}/man1/labplot2.1*


%changelog
* Mon Sep 09 2024 daviddavid <daviddavid> 2.11.1-3.mga10
+ Revision: 2094723
- rebuild for new hdf5 1.14.4.3

* Thu Aug 29 2024 daviddavid <daviddavid> 2.11.1-2.mga10
+ Revision: 2092154
- rebuild for new qxlsx 1.4.9

* Wed Jul 17 2024 daviddavid <daviddavid> 2.11.1-1.mga10
+ Revision: 2081957
- new version: 2.11.1

* Mon Jul 15 2024 daviddavid <daviddavid> 2.11.0-2.mga10
+ Revision: 2081574
- enable QtMqtt support
- enable system readstat support

* Thu Jul 11 2024 daviddavid <daviddavid> 2.11.0-1.mga10
+ Revision: 2080673
- new version: 2.11.0
- switch to Qt6/KF6

* Mon Feb 05 2024 daviddavid <daviddavid> 2.10.1-1.mga10
+ Revision: 2037332
- new version: 2.10.1

* Wed Jun 07 2023 daviddavid <daviddavid> 2.10.0-1.mga9
+ Revision: 1961263
- new version: 2.10.0

* Thu Mar 23 2023 daviddavid <daviddavid> 2.9.0-7.mga9
+ Revision: 1950080
- use system liborigin
- enable discount (markdown) support

* Sun Jan 29 2023 wally <wally> 2.9.0-6.mga9
+ Revision: 1936739
- don't own hicolor icon dirs

* Thu Dec 29 2022 daviddavid <daviddavid> 2.9.0-5.mga9
+ Revision: 1927515
- rebuild for new gsl 2.7.1

* Mon Dec 05 2022 eatdirt <eatdirt> 2.9.0-4.mga9
+ Revision: 1918307
- Rebuild for new hdf5

* Mon Dec 05 2022 daviddavid <daviddavid> 2.9.0-3.mga9
+ Revision: 1918229
- rebuild for new hdf5 1.12.2

* Sun Dec 04 2022 daviddavid <daviddavid> 2.9.0-2.mga9
+ Revision: 1917612
- rebuild for new cfitsio 4.2.0

* Sun Nov 13 2022 daviddavid <daviddavid> 2.9.0-1.mga9
+ Revision: 1907062
- new version: 2.9.0

* Sat Apr 23 2022 wally <wally> 2.8.2-3.mga9
+ Revision: 1852808
- rebuild for libcerf 2.1

* Sun Dec 12 2021 wally <wally> 2.8.2-2.mga9
+ Revision: 1761548
- rebuild for netcdf 4.8.1

* Sat Mar 27 2021 daviddavid <daviddavid> 2.8.2-1.mga9
+ Revision: 1710851
- new version: 2.8.2

* Fri Mar 05 2021 daviddavid <daviddavid> 2.8.1-5.mga9
+ Revision: 1699465
- update BRs, remove no more needed kdelibs4support

* Thu Dec 17 2020 umeabot <umeabot> 2.8.1-4.mga8
+ Revision: 1658863
- Rebuild for new Qt5

* Tue Dec 15 2020 daviddavid <daviddavid> 2.8.1-3.mga8
+ Revision: 1657732
- rebuild for new cantor 20.12.0

* Tue Nov 17 2020 daviddavid <daviddavid> 2.8.1-2.mga8
+ Revision: 1646813
- enable KUserFeedback and CFitsio support
- switch to hdf5 >= 1.10

* Tue Nov 17 2020 daviddavid <daviddavid> 2.8.1-1.mga8
+ Revision: 1646786
- new version: 2.8.1

* Mon Oct 26 2020 akien <akien> 2.7.0-8.mga8
+ Revision: 1639600
- Rebuild against libnetcdf18

* Thu Oct 01 2020 pterjan <pterjan> 2.7.0-7.mga8
+ Revision: 1631522
- Rebuild for new netcdf on arm

* Sat Aug 22 2020 daviddavid <daviddavid> 2.7.0-6.mga8
+ Revision: 1617826
- rebuild for new cantor 20.08.0

* Thu May 28 2020 daviddavid <daviddavid> 2.7.0-5.mga8
+ Revision: 1588494
- switch appdata file to kf5_metainfo dir

* Wed Mar 18 2020 daviddavid <daviddavid> 2.7.0-4.mga8
+ Revision: 1557610
- rebuild for new netcdf 4.7.3

* Tue Feb 18 2020 umeabot <umeabot> 2.7.0-3.mga8
+ Revision: 1541404
- Mageia 8 Mass Rebuild

* Fri Dec 27 2019 daviddavid <daviddavid> 2.7.0-2.mga8
+ Revision: 1470222
- switch to new cmake macros
- rebuild for new cantor 19.12.0

* Fri Oct 25 2019 daviddavid <daviddavid> 2.7.0-1.mga8
+ Revision: 1455713
- new version: 2.7.0

* Mon Sep 30 2019 daviddavid <daviddavid> 2.6.0-3.mga8
+ Revision: 1448163
- rebuild for new cantor

* Tue Aug 27 2019 daviddavid <daviddavid> 2.6.0-2.mga8
+ Revision: 1433757
- rebuild for new gsl 2.6

* Fri Apr 19 2019 daviddavid <daviddavid> 2.6.0-1.mga7
+ Revision: 1393527
- new version: 2.6.0

* Sun Mar 31 2019 umeabot <umeabot> 2.5.0-3.mga7
+ Revision: 1383033
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.5.0-2.mga7
+ Revision: 1298705
- Mageia 7 Mass Rebuild

* Thu Jun 21 2018 daviddavid <daviddavid> 2.5.0-1.mga7
+ Revision: 1238671
- new version: 2.5.0
- remove merged upstream patch

* Thu Jun 07 2018 daviddavid <daviddavid> 2.4.0-3.mga7
+ Revision: 1235095
- add patch to fix build with new Qt5 >= 5.11.0

* Wed Dec 27 2017 wally <wally> 2.4.0-2.mga7
+ Revision: 1185647
- rebuild for new gsl

* Sat Jul 22 2017 daviddavid <daviddavid> 2.4.0-1.mga7
+ Revision: 1128821
- new version: 2.4.0

* Tue Dec 27 2016 daviddavid <daviddavid> 2.3.0-1.mga6
+ Revision: 1078297
- new version: 2.3.0

* Wed Jul 20 2016 neoclust <neoclust> 2.2.0-2.mga6
+ Revision: 1042903
- Rebuild for armv5

* Fri May 20 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1017098
- new version: 2.2.0
- port to Qt5/kf5
- remove merged upstream gsl2 patch

* Tue Jan 26 2016 luigiwalser <luigiwalser> 2.1.0-2.mga6
+ Revision: 927885
- add patch to fix build with gsl version 2
- rebuild for gsl

* Sun Jan 10 2016 filipesaraiva <filipesaraiva> 2.1.0-1.mga6
+ Revision: 921173
- Add new files to be packed;
- Add new requirements for build;
- Update to version 2.1.0;

* Wed Oct 15 2014 umeabot <umeabot> 2.0.1-3.mga5
+ Revision: 750224
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0.1-2.mga5
+ Revision: 681261
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 filipesaraiva <filipesaraiva> 2.0.1-1.mga5
+ Revision: 586778
- Added kdelibs4-devel and kdebase4-devel build requires;
- Added kdebase4-runtime requires.
- imported package labplot

